PCMCIA (via SysFS)
Implementation internals » Bus scanning code

PCMCIA bus scan functions. More...

## Functions

static void | pcmcia_read_data (hd_data_t *hd_data)
static void | pcmcia_ctrl_read_data (hd_data_t *hd_data)
void | hd_scan_pcmcia (hd_data_t *hd_data)

## Detailed Description

PCMCIA bus scan functions.

expects pci devs to be probed already to assign bridge

## Function Documentation

## hd_scan_pcmcia()

void hd_scan_pcmcia | ( | hd_data_t * | hd_data | ) |

References hd_data, hd_probe_feature(), hd_sysfs_driver_list(), mod_pcmcia, pcmcia_ctrl_read_data(), pcmcia_read_data(), pr_pcmcia, PROGRESS, and remove_hd_entries().

Referenced by hd_scan_no_hal().

## pcmcia_ctrl_read_data()

void pcmcia_ctrl_read_data | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, s_hd_t::attached_to, s_hd_t::base_class, bc_bridge, s_hd_t::bus, bus_pcmcia, free_mem(), free_str_list(), hd_data, hd_find_sysfs_id(), hd_get_device_by_idx(), hd_read_sysfs_link(), hd_sysfs_id(), s_hd_t::hotplug, s_hd_t::hotplug_slot, hp_cardbus, hp_pcmcia, hd_id_t::id, s_hd_t::idx, new_str(), s_hd_t::next, s_str_list_t::next, read_dir(), sc_bridge_cardbus, sc_bridge_pcmcia, s_str_list_t::str, str_printf(), and s_hd_t::sub_class.

Referenced by hd_scan_pcmcia().

## pcmcia_read_data()

void pcmcia_read_data | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::attached_to, s_hd_t::base_class, bc_network, s_hd_t::bus, bus_pcmcia, canon_str(), s_hd_t::device, s_hd_t::drivers, s_hd_t::extra_info, free_mem(), free_str_list(), s_hd_t::func, get_sysfs_attr_by_path(), hd_attr_uint(), hd_data, hd_find_sysfs_id(), hd_read_sysfs_link(), hd_sysfs_find_driver(), hd_sysfs_id(), s_hd_t::hotplug, s_hd_t::hotplug_slot, hp_pcmcia, hd_id_t::id, s_hd_t::idx, MAKE_ID, s_hd_t::modalias, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), s_hd_t::revision, s_hd_t::slot, s_str_list_t::str, s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_PCMCIA, and s_hd_t::vendor.

Referenced by hd_scan_pcmcia().